%MEA Project
clear all
h = .005;
n = 1;
X(n) = 0;
Z(n,1) = 1;
Z(n,2) = 0;

%     Y'' + xy = 0
%     y'' = -xy
%     Let
%     z1'(x) = z2(x), z1(0) = 1
%     z2'(x) = -x * y(x)  , z2(0) = 0

%     Z(n,2)

while X(n) < 10
    X(n+1) = X(n) + h;
    K(1,1) = h * Z(n,2);
    K(1,2) = -h * X(n)*Z(n,1);
    
    K(2,1) = h*(Z(n,2) + 1/2 * K(1,2));
    K(2,2) = -h*(X(n) + h/2)*(Z(n,1) + 1/2*K(1,2));
    
    K(3,1) = h*(Z(n,2)+1/2*K(2,2));
    K(3,2) = -h*(X(n)+h/2)*(Z(n,1) + 1/2 * K(2,2));
    
    K(4,1) = h*(Z(n,2)+K(3,2));
    K(4,2) = -h*(X(n)+h)*(Z(n,1)+K(3,2));
    
    Z(n+1,1) = Z(n,1) + 1/6 * (K(1,1) + 2*K(2,1) + 2*K(3,1) + K(4,1));
    Z(n+1,2) = Z(n,2) + 1/6 * (K(1,2) + 2*K(2,2) + 2*K(3,2) + K(4,2));
    n = n + 1;
end

plot(X(:), Z(:,1), '.-', X(:), Z(:,2), ':')
legend('X vs Y', 'X vs Y prime', 'Location', 'NW')
axis([0 10 -2 2])

disp([X(:), Z(:,1), Z(:,2)])
xlswrite('MEAProj.xls', [X(:), Z(:,1), Z(:,2)]);